package cokr.xit.fims.cmmn.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.cmmn.CrdnSttsHstry;
import cokr.xit.fims.cmmn.CrdnSttsHstryQuery;
import cokr.xit.fims.cmmn.service.CrdnSttsHstryService;

/**단속 상태 이력 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-07-19	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("crdnSttsHstryService")
public class CrdnSttsHstryServiceBean extends AbstractServiceBean implements CrdnSttsHstryService {

	/** 단속 상태 이력 정보 Bean */
	@Resource(name = "crdnSttsHstryBean")
	private CrdnSttsHstryBean crdnSttsHstryBean;

	@Override
	public List<DataObject> getCrdnSttsHstryList(CrdnSttsHstryQuery req) {
		return crdnSttsHstryBean.getCrdnSttsHstryList(req);
	}

	@Override
	public List<DataObject> getCrdnSttsHstrys(CrdnSttsHstryQuery req) {
		return crdnSttsHstryBean.getCrdnSttsHstrys(req);
	}

	@Override
	public boolean create(CrdnSttsHstry crdnSttsHstry) {
		return crdnSttsHstryBean.create(crdnSttsHstry);
	}

	@Override
	public boolean update(CrdnSttsHstry crdnSttsHstry) {
		return crdnSttsHstryBean.update(crdnSttsHstry);
	}

	@Override
	public boolean remove(CrdnSttsHstry crdnSttsHstry) {
		return crdnSttsHstryBean.remove(crdnSttsHstry);
	}

	@Override
	public boolean createHstryUpdateCrdnSttsCd(CrdnSttsHstry crdnSttsHstry) {
		return crdnSttsHstryBean.createHstryUpdateCrdnSttsCd(crdnSttsHstry);
	}

	@Override
	public boolean removeHstryUpdateCrdnSttsCd(String crdnId, String newCrdnSttsCd) {
		return crdnSttsHstryBean.removeHstryUpdateCrdnSttsCd(crdnId, newCrdnSttsCd);
	}

}
